> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /seekingalpha/quotes

> Get market quote and key fundamentals for one or more ticker symbols

**Price:** 1 credit

**⚠️ Common errors:** 412: None of the requested ticker symbols were found



## OpenAPI

````yaml /openapi/finance-markets.json post /api/seekingalpha/quotes
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/seekingalpha/quotes:
    post:
      tags:
        - /seekingalpha
      summary: /seekingalpha/quotes
      description: >-
        Get market quote and key fundamentals for one or more ticker symbols


        **Price:** 1 credit


        **⚠️ Common errors:** 412: None of the requested ticker symbols were
        found
      operationId: __api_seekingalpha_quotes_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SeekingalphaQuotesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SeekingalphaQuote'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SeekingalphaQuotesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        quote:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
      type: object
      required:
        - quote
    SeekingalphaQuote:
      properties:
        '@type':
          type: string
          default: SeekingalphaQuote
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        exchange:
          anyOf:
            - type: string
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        equity_type:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        follower_count:
          anyOf:
            - type: integer
            - type: 'null'
        is_reit:
          type: boolean
          default: false
        last:
          anyOf:
            - type: number
            - type: 'null'
        open:
          anyOf:
            - type: number
            - type: 'null'
        high:
          anyOf:
            - type: number
            - type: 'null'
        low:
          anyOf:
            - type: number
            - type: 'null'
        previous_close:
          anyOf:
            - type: number
            - type: 'null'
        volume:
          anyOf:
            - type: number
            - type: 'null'
        ext_price:
          anyOf:
            - type: number
            - type: 'null'
        ext_market:
          anyOf:
            - type: string
            - type: 'null'
        last_at:
          anyOf:
            - type: string
            - type: 'null'
        market_cap:
          anyOf:
            - type: number
            - type: 'null'
        pe_ratio:
          anyOf:
            - type: number
            - type: 'null'
        forward_pe:
          anyOf:
            - type: number
            - type: 'null'
        forward_pe_non_gaap:
          anyOf:
            - type: number
            - type: 'null'
        beta:
          anyOf:
            - type: number
            - type: 'null'
        beta60:
          anyOf:
            - type: number
            - type: 'null'
        eps_estimate:
          anyOf:
            - type: number
            - type: 'null'
        eps_normalized_actual:
          anyOf:
            - type: number
            - type: 'null'
        total_revenue:
          anyOf:
            - type: number
            - type: 'null'
        revenue_growth:
          anyOf:
            - type: number
            - type: 'null'
        ebitda:
          anyOf:
            - type: number
            - type: 'null'
        gross_margin:
          anyOf:
            - type: number
            - type: 'null'
        net_margin:
          anyOf:
            - type: number
            - type: 'null'
        return_on_equity:
          anyOf:
            - type: number
            - type: 'null'
        debt_to_fcf:
          anyOf:
            - type: number
            - type: 'null'
        short_interest_percent:
          anyOf:
            - type: number
            - type: 'null'
        short_interest_shares_outstanding:
          anyOf:
            - type: number
            - type: 'null'
        price_to_book:
          anyOf:
            - type: number
            - type: 'null'
        price_to_sales:
          anyOf:
            - type: number
            - type: 'null'
        peg_ratio:
          anyOf:
            - type: number
            - type: 'null'
        peg_ratio_gaap:
          anyOf:
            - type: number
            - type: 'null'
        ev_to_ebitda:
          anyOf:
            - type: number
            - type: 'null'
        forward_pe_gaap:
          anyOf:
            - type: number
            - type: 'null'
        net_income:
          anyOf:
            - type: number
            - type: 'null'
        gross_profit:
          anyOf:
            - type: number
            - type: 'null'
        operating_income:
          anyOf:
            - type: number
            - type: 'null'
        total_debt:
          anyOf:
            - type: number
            - type: 'null'
        eps_growth:
          anyOf:
            - type: number
            - type: 'null'
        current_ratio:
          anyOf:
            - type: number
            - type: 'null'
        quick_ratio:
          anyOf:
            - type: number
            - type: 'null'
        altman_z_score:
          anyOf:
            - type: number
            - type: 'null'
        analyst_up_count:
          anyOf:
            - type: integer
            - type: 'null'
        analyst_down_count:
          anyOf:
            - type: integer
            - type: 'null'
        dividend_yield:
          anyOf:
            - type: number
            - type: 'null'
        dividend_yield_fwd:
          anyOf:
            - type: number
            - type: 'null'
        dividend_rate:
          anyOf:
            - type: number
            - type: 'null'
        dividend_rate_ttm:
          anyOf:
            - type: number
            - type: 'null'
        dividend_growth:
          anyOf:
            - type: number
            - type: 'null'
        payout_ratio:
          anyOf:
            - type: number
            - type: 'null'
        dividend_pay_date:
          anyOf:
            - type: integer
            - type: 'null'
        dividend_date:
          anyOf:
            - type: integer
            - type: 'null'
        fifty_two_week_high:
          anyOf:
            - type: number
            - type: 'null'
        fifty_two_week_low:
          anyOf:
            - type: number
            - type: 'null'
        earnings_date:
          anyOf:
            - type: integer
            - type: 'null'
        sell_side_rating:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````